commit 3c4fbdbacd386e2bee5c826a0f75ccc2b2d34f3f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Apr 3 00:20:14 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2508b1fc5e7..75f45468e7e 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250402
+20250403
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 176f0d3de3f..0e0629219c9 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,23 @@
+2025-04-02  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2023-03-31  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR tree-optimization/107087
+	* include/bits/cow_string.h (basic_string::size()): Add
+	optimizer hint that _S_empty_rep()._M_length is always zero.
+	(basic_string::length()): Call size().
+
+2025-04-02  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2024-02-15  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/99117
+	* include/std/valarray (valarray::operator=(const _Expr&)):
+	Use loop to copy instead of __valarray_copy with _Array.
+	* testsuite/26_numerics/valarray/99117.cc: New test.
+
 2024-10-07  Jonathan Wakely  <jwakely@redhat.com>
 
 	* include/std/string_view (basic_string_view::copy) Use explicit

